<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="theFrm">
        <input type="hidden" name="id" value="<?=$info->id?>">
        <tr>
            <td width="100" height="25" class="td_bg">所属分类</td>
            <td height="25" class="td_bg"><?=$info->ticket->type->name?></td>
        </tr>
        <tr>
            <td width="100" height="25" class="td_bg">礼券编号</td>
            <td height="25" class="td_bg"><?=sprintf("%07d",$info->ticket->code)?></td>
        </tr>
        <tr>
            <td width="100" height="25" class="td_bg">礼品</td>
            <td height="25" class="td_bg"><?=$info->gift->name?></td>
        </tr>
        <tr>
            <td width="100" height="25" class="td_bg">使用时间</td>
            <td colspan="3" height="25" class="td_bg"><?=$info->use_date?></td>
        </tr>
        <tr>
            <td width="100" height="25" class="td_bg">快递方式</td>
            <td colspan="3" height="25" class="td_bg"><?=$info->getSendType()?></td>
        </tr>
        <tr>
            <td width="100" height="25" class="td_bg">快递单号</td>
            <td colspan="3" height="25" class="td_bg"><?=$info->send_no?></td>
        </tr>
        <tr>
            <td width="100" height="25" class="td_bg">状态</td>
            <td colspan="3" height="25" class="td_bg"><?=$info->getStatus()?></td>
        </tr>
    </form>
    <tr>
        <td height="22" colspan="4" align="center" class="td_bg">
            <?php
            if($info->status == 0) {
                ?>
                <input id="output-btn" type=button class="ACT_btn" name=Submit1 value=" 出库 "/>
                &nbsp;&nbsp;
                <?php
            }
            if($info->status == 1) {
                ?>
                <input id="cancel-btn" type=button class="ACT_btn" name=Submit3 value=" 退回 "/>
                &nbsp;&nbsp;
                <?php
            }
            ?>
            <input id="back-btn" type="button" class="ACT_btn" name="Submit4" value=" 返回 ">
        </td>
    </tr>
</table>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript">
    $(function () {
        //出库按钮
        $("#output-btn").click(function(){
            if(confirm('是否确认提交?')) {
                var params = $("#theFrm").serialize();
                params += '&status=1';
                $.post('/gift2/ticket2-save',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        $('#back-btn').click();
                    }
                },'json');
            }
        });
        //退回按钮
        $("#cancel-btn").click(function(){
            if(confirm('是否确认提交?')) {
                var params = $("#theFrm").serialize();
                params += '&status=3';
                $.post('/gift2/ticket2-save',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        $('#back-btn').click();
                    }
                },'json');
            }
        });

        //返回按钮
        $('#back-btn').click(function(){
            window.location.href='/gift2/ticket2-list';
        });
    })
</script>
